# (gb) don't use fortify, this package has ugly abuse of memcpy() that we can't cope with if it's a macro
# XXX would be better to define scsi cmds constants instead...
%undefine _fortify_cflags

%define	major	0
%define	fullname	%{name}-III-%version

%define	libname		%mklibname cdda %{major}
%define develname	%mklibname cdda -d

Summary:	Utility to copy digital audio CDs
Name:		cdparanoia
Epoch:		1
Version:	10.2
Release:	%mkrel 21
License:	GPLv2+ and LGPLv2+
Group:		Sound/Utilities
URL:		http://www.xiph.org/paranoia/
Source0:	http://downloads.xiph.org/releases/cdparanoia/%{fullname}.src.tgz
Patch0:		cdparanoia-III-alpha9.8-includes.patch
Patch1:		cdparanoia-III-10.2-gcc43.patch
Patch2:		cdparanoia-III-10.2-format-security.patch
Patch3:         cdparanoia-use-proper-gnu-config-files.patch

%description
This CDDA reader distribution ('cdparanoia') reads audio from the CDROM
directly as data, with no analog step between, and writes the data to a file
or pipe as .wav, .aifc or as raw 16 bit linear PCM.

cdparanoia is a complete rewrite of Heiko Eissfeldt's 'cdda2wav' program,
and generally is much better at succeeding to read difficult discs with
cheap drives.

%package -n	%{libname}
Summary:	Libraries for cdparanoia
Group:		Sound/Utilities

%description -n	%{libname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%package -n	%{develname}
Summary:	Development libraries for cdparanoia
Group:		Development/C
Provides:	libcdda-devel = %epoch:%{version}
Provides:	cdda-devel = %epoch:%{version}
Provides:	cdparanoia-devel = %epoch:%{version}
Requires:	%{libname} = %epoch:%{version}

%description -n	%{develname}
This is the development libraries for cdparanoia. cdparanoia is a complete
rewrite of Heiko Eissfeldt's 'cdda2wav' program, and generally is much better 
at succeeding to read difficult discs with cheap drives.

%prep
%autosetup -n %{fullname} -p1

%build
autoreconf -vfi
cp configure.sub config.sub
%configure --libdir=%{_libdir}/cdparanoia

make OPT="-fsigned-char -finline-functions -Dsize16='short' -Dsize32='int' $RPM_OPT_FLAGS"

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}/man1

%make_install \
	BINDIR=%{buildroot}%{_bindir} \
	INCLUDEDIR=%{buildroot}%{_includedir} \
	LIBDIR=%{buildroot}%{_libdir} \
	MANDIR=%{buildroot}%{_mandir}

install -m644 cdparanoia.1 %{buildroot}%{_mandir}/man1/

%files
%doc README
%{_bindir}/cdparanoia
%{_mandir}/man1/cdparanoia.1*

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so


%changelog
* Tue Jun 30 2020 joequant <joequant> 1:10.2-21.mga8
+ Revision: 1600649
- fix patch
- fix build
- remove arm workaround

* Wed Feb 12 2020 umeabot <umeabot> 1:10.2-19.mga8
+ Revision: 1511210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1:10.2-18.mga7
+ Revision: 1296039
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 1:10.2-17.mga7
+ Revision: 1237979
- fix build on aarch64
- simplify fortify cflags skipping

* Wed Oct 18 2017 daviddavid <daviddavid> 1:10.2-16.mga7
+ Revision: 1172450
- drop defattr to fix doc dir execute permission (mga#21868)

* Sun Apr 17 2016 tv <tv> 1:10.2-15.mga6
+ Revision: 1003208
- provides cdparanoia-devel

* Mon Feb 08 2016 umeabot <umeabot> 1:10.2-14.mga6
+ Revision: 944871
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:10.2-13.mga5
+ Revision: 742834
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1:10.2-12.mga5
+ Revision: 693581
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:10.2-11.mga5
+ Revision: 678339
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:10.2-10.mga4
+ Revision: 503306
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:10.2-9.mga3
+ Revision: 347531
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 rtp <rtp> 1:10.2-8.mga3
+ Revision: 303391
- fix group
- fix build

* Fri Jan 14 2011 dmorgan <dmorgan> 1:10.2-7.mga1
+ Revision: 17658
- Get rid of mdv macros
- imported package cdparanoia

